<?php
class Paginacion
{

	public function paginarClientes($reload, $page, $tpages, $adjacents)
	{
		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadClientes(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadClientes(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadClientes(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadClientes(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadClientes(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadClientes($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadClientes(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}

	public function paginarProductos($reload, $page, $tpages, $adjacents)
	{
		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductos(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductos(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductos(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductos(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductos(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductos($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductos(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}



	public function paginarProductosVentas($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosV(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosV(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductosV(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductosV(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductosV(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductosV($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosV(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	public function paginarProductosGuia($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosG(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosG(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductosG(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductosG(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadProductosG(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadProductosG($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadProductosG(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	// PAGINACIÓN VENTAS 
	public function paginarVentas($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadVentas(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadVentas(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadVentas(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadVentas(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadVentas(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadVentas($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadVentas(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	// PAGINACIÓN RESÚMENES BOLETAS
	public function paginarResumenesDiarios($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='resumenBoletasDiarios(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='resumenBoletasDiarios(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='resumenBoletasDiarios(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='resumenBoletasDiarios(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='resumenBoletasDiarios(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='resumenBoletasDiarios($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='resumenBoletasDiarios(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}

	// PAGINACIÓN RESÚMENES BOLETAS
	public function paginarResumenBoletas($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadResumenBoleta(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadResumenBoleta(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadResumenBoleta(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadResumenBoleta(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadResumenBoleta(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadResumenBoleta($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadResumenBoleta(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	public function paginarGuias($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasR(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasR(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasR(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasR(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasR(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasR($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasR(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	public function paginarGuiasRetorno($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasRetorno(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasRetorno(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasRetorno(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasRetorno(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasRetorno(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGuiasRetorno($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGuiasRetorno(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}

	public function paginarCotizaciones($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadCotizaciones(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadCotizaciones(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadCotizaciones(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadCotizaciones(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadCotizaciones(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadCotizaciones($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadCotizaciones(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}


	public function paginarArqueoCajas($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadArqueoCajas(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadArqueoCajas(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadArqueoCajas(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadArqueoCajas(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadArqueoCajas(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadArqueoCajas($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadArqueoCajas(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
	public function paginarGastos($reload, $page, $tpages, $adjacents)
	{

		$prevlabel = "&lsaquo;";
		$nextlabel = "&rsaquo;";
		$out = '<ul class="pagination ">';

		// previous label

		if ($page == 1) {
			$out .= "<li class='disabled'><span><a>$prevlabel</a></span></li>";
		} else if ($page == 2) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGastos(1)'>$prevlabel</a></span></li>";
		} else {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGastos(" . ($page - 1) . ")'>$prevlabel</a></span></li>";
		}

		// first label
		if ($page > ($adjacents + 1)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGastos(1)'>1</a></li>";
		}
		// interval
		if ($page > ($adjacents + 2)) {
			$out .= "<li><a>...</a></li>";
		}

		// pages

		$pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
		$pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
		for ($i = $pmin; $i <= $pmax; $i++) {
			if ($i == $page) {
				$out .= "<li class='active'><a id='active' idP='$i'>$i</a></li>";
			} else if ($i == 1) {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGastos(1)'>$i</a></li>";
			} else {
				$out .= "<li><a href='javascript:void(0);' onclick='loadGastos(" . $i . ")'>$i</a></li>";
			}
		}

		// interval

		if ($page < ($tpages - $adjacents - 1)) {
			$out .= "<li><a>...</a></li>";
		}

		// last

		if ($page < ($tpages - $adjacents)) {
			$out .= "<li><a href='javascript:void(0);' onclick='loadGastos($tpages)'>$tpages</a></li>";
		}

		// next

		if ($page < $tpages) {
			$out .= "<li><span><a href='javascript:void(0);' onclick='loadGastos(" . ($page + 1) . ")'>$nextlabel</a></span></li>";
		} else {
			$out .= "<li class='disabled'><span><a>$nextlabel</a></span></li>";
		}

		$out .= "</ul>";
		return $out;
	}
}
